This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 757368 - Review Request: telepathy-kde-integration-module - KDE integration for telepathy
Review Request: telepathy-kde-integration-module - KDE integration for telep...
Status: CLOSED DUPLICATE of bug 784954
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-11-26 12:47 EST by Rex Dieter
Modified: 2012-02-08 11:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 11:29:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-11-26 12:47:29 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-integration-module.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-integration-module-0.2.0-1.fc16.src.rpm
Description: 
This module sits in KDED and takes care of various bits of system
integration like setting user to auto-away or handling connection errors.
Comment 1 nucleo 2011-11-26 13:06:11 EST
desktop files installed only in %{_kde4_datadir}/kde4/services/ so no need to add "BuildRequires: desktop-file-utils"
Comment 2 nucleo 2011-11-26 14:05:40 EST
"BuildRequires: gettext" needed.
Comment 3 nucleo 2011-12-21 13:50:55 EST
Name: ok
Summary: ok (but remove space at end of line)
Source0: ok
md5sum telepathy-kde-integration-module-0.2.0.tar.bz2
c9bdb73c049499c0f72c4ee5fa4fb8fe  telepathy-kde-integration-module-0.2.0.tar.bz2

Build in mock failed if "BuildRequires: gettext" missing.
License: should be LGPLv2+ (GPLv2+ now)

So please fix BuildRequires and License, then package can be approved.
Comment 4 Rex Dieter 2011-12-21 14:59:02 EST
Spec : http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-integration-module.spec
SRPM: http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-integration-module-0.2.0-1.fc16.src.rpm

%changelog
* Wed Dec 21 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-2
- BR: -desktop-file-utils, +gettext
- License: LGPLv2+
Comment 5 nucleo 2011-12-21 15:29:28 EST
I didn't noticed before that %find_lang should be moved to %install
Comment 7 nucleo 2011-12-21 15:56:24 EST
rpmlint output:
$ rpmlint telepathy-kde-integration-module-0.2.0-3.fc16.i686.rpm telepathy-kde-integration-module-debuginfo-0.2.0-3.fc16.i686.rpm telepathy-kde-integration-module-0.2.0-3.fc16.src.rpm 
telepathy-kde-integration-module-debuginfo.i686: E: description-line-too-long C This package provides debug information for package telepathy-kde-integration-module.
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

We can't do anything with description for debuginfo so package APPROVED.
Comment 8 nucleo 2011-12-26 15:08:38 EST
Looks like they going to rename everything
http://mail.kde.org/pipermail/kde-telepathy/2011-December/004681.html
Comment 9 nucleo 2012-02-08 11:29:31 EST

*** This bug has been marked as a duplicate of bug 784954 ***

Note You need to log in before you can comment on or make changes to this bug.